input[type=range] {
    -webkit-appearance: none;/*removes default webkit styles*/
    border: 1px solid white;/*fix for FF unable to apply focus style bug */
    width: 98%;/*required for proper track sizing in FF*/
}
input[type=range]::-webkit-slider-runnable-track {
    width: 98%;
    height: 5px;
    background: #6a6969;
    border: none;
    border-radius: 3px;
}
input[type=range]::-webkit-slider-thumb {
    -webkit-appearance: none;
    border: none;
    height: 17px;
    width: 17px;
    border-radius: 50%;
    background: goldenrod;
    margin-top: -4px;
}
input[type=range]:focus {
    outline: none;
}
input[type=range]:focus::-webkit-slider-runnable-track {
    background: #ccc;
}

input[type=range]::-moz-range-track {
    width: 98%;
    height: 2px;
    background: #6a6969;
    border: none;
    border-radius: 3px;
}
input[type=range]::-moz-range-thumb {
    border: none;
    height: 17px;
    width: 17px;
    border-radius: 50%;
    background: #43d7d9; border:#43d7d9 1px solid;
}

/*hide the outline behind the border*/
input[type=range]:-moz-focusring{
    outline: 1px solid white;
    outline-offset: -1px;
}

input[type=range]::-ms-track {
    width: 98%;
    height: 1px;
    background: transparent; /*remove bg colour from the track, we'll use ms-fill-lower and ms-fill-upper instead */
    border-color: transparent; /*leave room for the larger thumb to overflow with a transparent border */
    border-width: 6px 0;
    color: transparent;/*remove default tick marks*/
}
input[type=range]::-ms-fill-lower {
    background: #43d7d9;
    border-radius: 10px;
}
input[type=range]::-ms-fill-upper {
    background: #ddd;
    border-radius: 10px;
}
input[type=range]::-ms-thumb {
    height: 17px;
    width: 17px;
    border-radius: 50%;
    background: #6a6969; border:#43d7d9 1px solid;
}
input[type=range]:focus::-ms-fill-lower {
    background: #43d7d9;
}
input[type=range]:focus::-ms-fill-upper {
    background: #ccc;
}